DATABASES = {
    'default': {
        'ATOMIC_REQUESTS': True,
        'ENGINE': 'django.db.backends.postgresql',
        'NAME': "{{ pg_database }}",
        'USER': "{{ pg_username }}",
        'PASSWORD': "{{ pg_password }}",
        'HOST': "{{ pg_hostname|default('postgres') }}",
        'PORT': "{{ pg_port }}",
    }
}
BROKER_URL = 'amqp://{}:{}@{}:{}/{}'.format(
    "{{ rabbitmq_user }}",
    "{{ rabbitmq_password }}",
    "{{ rabbitmq_hostname }}",
    "{{ rabbitmq_port }}",
    "{{ rabbitmq_vhost }}")

CHANNEL_LAYERS = {
    'default': {'BACKEND': 'asgi_amqp.AMQPChannelLayer',
                'ROUTING': 'awx.main.routing.channel_routing',
                'CONFIG': {'url': BROKER_URL}}
}
